- Reference
- OCPI 2.2.1 (eMSP)
- Receiver Tariff
OpenAPI reference
Receiver Tariff
/tariffs/{country_code}/{party_id}/{tariff_id}Retrieve a Tariff as stored in the receiver's system.
API: OCPI 2.2.1 (eMSP) · Module: Tariffs (eMSP)
Base path:/tariffs· Base URL:https://ocpi-api.gridos.co/ocpi/emsp/2.2.1
Overview
GET /tariffs/{country_code}/{party_id}/{tariff_id}Absolute URL: https://ocpi-api.gridos.co/ocpi/emsp/2.2.1/tariffs/{country_code}/{party_id}/{tariff_id}
Retrieve a Tariff as stored in the receiver's system.
Requires authentication. Use Authorization: Token <token>. See OCPI credentials.
How to call
Quick Shell sample (set OCPI_TOKEN when auth is required). Full Python and TypeScript under Examples.
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/emsp/2.2.1/tariffs/NL/ABC/TARIFF1' \
-H "Authorization: Token $OCPI_TOKEN"Request
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
country_code | string | Yes | ISO-3166 alpha-2 country code (uppercase). |
party_id | string | Yes | CPO/eMSP party ID (ISO-15118, 3 uppercase alphanumerics). |
tariff_id | string | Yes | Tariff.id of the Tariff object. |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Successful Response | TariffResponse |
401 | Unauthorized | — |
404 | Not Found | — |
422 | Validation Error | HTTPValidationError |
200 — successful response
application/json
Schema: TariffResponse
| Field | Type | Required | Description |
|---|---|---|---|
status_code | integer | No | Default: 1000 |
status_message | string | No | — |
timestamp | string (date-time) | No | — |
data | TariffOut | No | TariffOut |
Response example
{
"status_code": 1000,
"status_message": "Success",
"timestamp": "2024-01-15T10:00:00Z",
"data": {
"country_code": "NL",
"currency": "EUR",
"elements": [
{
"price_components": [
{
"price": 0.2,
"step_size": 1,
"type": "ENERGY",
"vat": 21
}
]
}
],
"end_date_time": "2024-12-31T23:59:59Z",
"energy_mix": {
"energy_sources": [
{
"percentage": 100,
"source": "SOLAR"
}
],
"is_green_energy": true
},
"id": "TARIFF-001",
"last_updated": "2024-01-15T10:00:00Z",
"max_price": {
"excl_vat": 50,
"incl_vat": 60.5
},
"min_price": {
"excl_vat": 0.5,
"incl_vat": 0.605
},
"party_id": "CPO",
"start_date_time": "2024-01-01T00:00:00Z",
"tariff_alt_text": [
{
"language": "en",
"text": "Standard tariff €0.20/kWh"
}
],
"tariff_alt_url": "https://example.com/tariffs/TARIFF-001",
"type": "REGULAR"
}
}401 — unauthorized
application/json
Response example
{
"status_code": 2001,
"status_message": "Unauthorized",
"timestamp": "2025-01-01T00:00:00Z"
}404 — not found
application/json
Response example
{
"status_code": 2001,
"status_message": "Tariff not found",
"timestamp": "2025-01-01T00:00:00Z"
}422 — validation error
application/json
Schema: HTTPValidationError
| Field | Type | Required | Description |
|---|---|---|---|
detail | ValidationError[] | No | Detail |
Response example
{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string",
"input": {
"_type": "Input"
},
"ctx": {
"_type": "Context"
}
}
]
}Examples
Shell, Python, and TypeScript (set OCPI_TOKEN when auth is required).
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/emsp/2.2.1/tariffs/NL/ABC/TARIFF1' \
-H "Authorization: Token $OCPI_TOKEN"